Subject: Re: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa

From: Po Lu <[email-masked]>
Date: Fri, 28 Jan 2022 18:02:29 +0800

Robert Pluim <[email-masked]> writes:

>>>>>> On Fri, 28 Jan 2022 16:47:05 +0800, Po Lu <[email-masked]> said:
>
>     Po> Robert Pluim <[email-masked]> writes:
>     >> I can do that, but blink-cursor-mode seems to be working fine with the
>     >> current changes (now that I actually know how itʼs supposed to function).
>
>     Po> Does it work fine right after the frame is created (and you never focus
>     Po> into it afterwards?)
>
> No, but then again current master doesnʼt blink the cursor then either.

Works on GNUstep for me (emacs -Q, obviously).  I also tried on macOS,
and it works there as well.  You have to launch it from GWorkspace or
the Finder for the first frame created to be the key window to test this
properly.

Thanks.